﻿local L = LibStub("AceLocale-3.0"):NewLocale("RSwapper3", "enUS", true);

if L then
	-- Greeting Messages
	L["You're not a rogue. RSwapper3 will be dormant."] = true;
	L["Rogue Detected!"] = true;

	-- One word names for Slash Command options
	L["Enable"] = true;
	L["Dagger"] = true;
	L["Sword"] = true;
	L["Offhand"] = true;
	L["Stealth"] = true;
	L["Dance"] = true;
	L["BlindOption"] = "Blind"; -- Blind Option as opposed to "Blind" spell

	-- GUI
	L["Click the buttons below to set your Dagger weapons. (Stealth)"] = true;
	L["Ctrl-click them to set your Sword weapons. (Non stealth)"] = true;
	L["Right-click them to set your Off Hand weapons. (Optional)"] = true;
    
	-- Data Broker Tool-tip
	L["|cff00ff00[Enabled]|r"] = true;
	L["|cffff0000[Disabled]|r"] = true;
	L["|cffff0000[Not Set]|r"] = true;
	L["|cff00ff00[On]|r"] = true;
	L["|cffff0000[Off]|r"] = true;
	L["Swap to %s is pending."] = true;
	L["%s is equipped."] = true;
	L["your current Main Hand"] = true;

	-- Enable option
	L["|cff00ff00[Enabled]|r Enable/Disable RSwapper3 for this character."] = true;
	L["|cffff0000[Disabled]|r Enable/Disable RSwapper3 for this character."] = true;
	L["RSwapper3 is |cffff0000disabled|r! Use \"/rswapper3 %s\" to enable it."] = true;
	L["RSwapper3 has been |cff00ff00enabled|r for this character."] = true;
	L["RSwapper3 has been |cffff0000disabled|r for this character."] = true;

	-- Dagger option
	L[" Set the dagger with an item link."] = true;
	L["|cffff0000[Not Set]|r Set the dagger with an item link."] = true;
	L["Usage: /rswapper3 %s [%s Item Link]"] = true;
	L["Dagger set to: %s"] = true;

	-- Sword option
	L[" Set the sword with an item link."] = true;
	L["|cffff0000[Not Set]|r Set the sword with an item link."] = true;
	L["Sword set to: %s"] = true;

	-- Offhand option
	L["|cff00ff00[Checking Off-Hand then in Bags]|r"] = true
	L["|cff996633[Checking only in Bags]|r"] = true;
	L[" Toggle looking for weapons in Off-Hand slot."] = true;

	-- Stealth Option
	L["|cff666666[Swapping only in stealth!]|r"] = true;
	L["|cffff4646[Swapping in stealth and during stuns!]|r"] = true;
	L[" Toggle swapping when your target is stunned."] = true;

	-- Dance Option
	L[" Toggle swapping during Shadow Dance buff."] = true;
	L["Swapping during Shadow Dance buff is |cff00ff00enabled|r."] = true;
	L["Swapping during Shadow Dance buff is |cffff0000disabled|r."] = true;

	-- Blind Option
	L[" Toggle announcing when you cast Blind via Say."] = true;
	L["Announcing via say when you cast Blind is |cff00ff00enabled|r."] = true;
	L["Announcing via say when you cast Blind is |cffff0000disabled|r."] = true;
	L["Casting Blind on %t. Don't attack and break it."] = true;

	-- Errors and Warnings
	L["%s |cffff0000does not appear to be a weapon!|r"] = true;
	L["|cffff0000Could not find|r %s"] = true;
	L["|cffff0000Warning:|r %s is broken!"] = true;
	L["|cffff0000Dagger was not set!|r"] = true;
	L["|cffff0000Could not find dagger:|r %s"] = true;
	L["|cffff0000Sword was not set!|r"] = true;
	L["|cffff0000Could not find sword:|r %s"] = true;
	L["|cffff0000Can not swap|r %s |cffff0000from the off hand when the current main hand is Main Hand restricted!|r"] = true;
	L["%s |cffff0000is broken! Not swapping.|r"] = true;
end